### Constructor

# Camel MimeFilterYenc new

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_yenc_new (
      CamelMimeFilterYencDirection direction
    )

#### Description [src]

Create a new `CamelMimeFilterYenc` filter object.

#### Parameters

`direction`

  Type: `CamelMimeFilterYencDirection`

  Encode direction.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterYenc` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.